Subject: Re: bug#14771: 24.3.50; Unable to scroll one line at time at window edges.
From: Eli Zaretskii <[email-masked]>
To: Keith David Bershatsky <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 06 Jul 2013 13:45:01 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Keith David Bershatsky <[email-masked]>
> Date: Tue, 2 Jul 2013 13:02:08 -0700
> Cc: Eli Zaretskii <[email-masked]>
> 
> Just a follow-up.  The following combination is what breaks scroll-step:
> 
> (setq scroll-step 1)
> (setq-default line-spacing 0.5)
> 
> In prior versions of Emacs Trunk (a month or so ago), it was possible to use (setq-default line-spacing 0.5) without interfering with scroll-step, and I believe that scroll-step previously defaulted to 1 without needing to be set manually.
> 
> The two lines of code are the only ones needed to reproduce the issue on OSX 10.6.8.

As I said, this is a very old bug: we were disregarding line-spacing
when computing the canonical line height in pixels.

Revision 113300 on the development trunk fixes that.  I'm therefore
marking this bug done.

Thanks.